import 'package:flutter_bloc/flutter_bloc.dart';
import '../bloc/redemption_bloc.dart';
import '../bloc/redemption_event.dart';

class RedemptionViewModel {
  final RedemptionBloc bloc;
  RedemptionViewModel(this.bloc);

  void loadRecent() => bloc.add(LoadRecentRedemptions());
  void searchTicket(String id) => bloc.add(ManualTicketSearched(id));
  void approve() => bloc.add(ApproveRedemption());
  void disapprove() => bloc.add(DisapproveRedemption());
}
